//#include <unistd.h>
//#include <stdio.h>
//#include <string.h>
//#include <stdlib.h>
//#include <syslog.h>
#include "dump.h"

#define ONE_LINE_BITS	16
#define SPACE_BITS	8
#define ASCII_LOWEST	'!'
#define ASCII_HIGHEST	'z'
#define MAX_DUMP_SIZE	(8 * 1024 * 1024)

void DumpMemory(void *pDumpTargetMem, unsigned long long DumpSize, char *FileName, char *FunctionName, int Line){
	unsigned long long Counter=0;
	unsigned char *DumpTarget = (unsigned char *)pDumpTargetMem;
	char OneLineBuffer[256];
	char OneLineAsciiBuffer[128];
	char OneBitBuffer[16];
	int TargetTooLarge=0;

	if(DumpSize > MAX_DUMP_SIZE){
		DumpSize = MAX_DUMP_SIZE;
		TargetTooLarge=1;
	}

	printk("%s > DumpStart at %d at %s(DumpSize=%d)\n\n", FunctionName, Line, FileName, DumpSize);
	if (TargetTooLarge)
		printk("%s > Sorry, Dump target is too large! shorted to 0x%08x\n", __FUNCTION__, MAX_DUMP_SIZE);

	for(Counter=0; Counter < DumpSize; Counter++){
		if((Counter % ONE_LINE_BITS ) == 0){
			if(Counter != 0 ){
				strcat(OneLineAsciiBuffer, "]");
				strcat(OneLineBuffer, OneLineAsciiBuffer);
				printk("%s\n", OneLineBuffer);
			}
			memset(OneLineBuffer, (char)0x00, sizeof(OneLineBuffer));
			sprintf(OneLineBuffer , "0x%08x ", Counter);

			memset(OneLineAsciiBuffer, (char)0x00, sizeof(OneLineAsciiBuffer));
			strcat(OneLineAsciiBuffer, " [");
		}
		memset(OneBitBuffer, (char)0x00, sizeof(OneBitBuffer));
		sprintf(OneBitBuffer, "%02x ", DumpTarget[Counter]);
		strcat(OneLineBuffer, OneBitBuffer);

		memset(OneBitBuffer, (char)0x00, sizeof(OneBitBuffer));
		if((DumpTarget[Counter] >= ASCII_LOWEST) && DumpTarget[Counter] <= ASCII_HIGHEST)
			sprintf(OneBitBuffer, "%c", DumpTarget[Counter]);
		else
			sprintf(OneBitBuffer, ".");

		strcat(OneLineAsciiBuffer, OneBitBuffer);

	}
	
	if((DumpSize % ONE_LINE_BITS) != 0){
		for(Counter = (DumpSize % ONE_LINE_BITS); Counter < ONE_LINE_BITS; Counter++){
			strcat(OneLineBuffer, "   ");
			strcat(OneLineAsciiBuffer, " ");
		}
	}

	strcat(OneLineAsciiBuffer, "]");
	strcat(OneLineBuffer, OneLineAsciiBuffer);

	printk("%s\n", OneLineBuffer);
	printk("\n%s > Dump end at %d at %s\n", FunctionName, Line, FileName);

}
